Skip to content

Starts a new query and returns the query id and info

Request

Starts a new query and returns the query id and info

Security
knox-authorizer
Path
tenantIdstringrequired

The current tenant

queryTypestringrequired

The type of query

outputFormatstringrequired

The output format of the query

Bodyapplication/jsonrequired

The query

context_idstring(Context)
criteriaobject(Criteria)
limitnumber, (float)(Limit)

The maximum number of rows to return

namestring(Name)

Optional name of the query

offsetnumber, (float)(Offset)

The starting rows

output_fieldsArray of objects, non-emptyrequired
sort_fieldsArray of objects
curl -i -X POST \
  'https://docs.api.rhythmsoftware.com/_mock/apis/system/system-v1/queries/{tenantId}/start/{queryType}/{outputFormat}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "context_id": "string",
    "criteria": {},
    "limit": 0.1,
    "name": "string",
    "offset": 0.1,
    "output_fields": [
      {
        "alias": "string",
        "label": "string",
        "name": "string"
      }
    ],
    "sort_fields": [
      {
        "descending": true,
        "name": "string"
      }
    ]
  }'

Responses

The query was started successfully.

Headers
Access-Control-Allow-Headersstring
Access-Control-Allow-Methodsstring
Access-Control-Allow-Originstring
Bodyapplication/json
idstring(ID)

The id of the query

Response
{ "id": "string" }